org.apache.cassandra.metrics

## Class HintedHandoffMetrics.DifferencingCounter

- java.lang.Object
- - org.apache.cassandra.metrics.HintedHandoffMetrics.DifferencingCounter

Enclosing class:
  HintedHandoffMetrics

    public static class HintedHandoffMetrics.DifferencingCounter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DifferencingCounter(java.net.InetAddress address)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `count()`
`long` `difference()`
`void` `mark()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DifferencingCounter

    public DifferencingCounter(java.net.InetAddress address)

### Method Detail

#### difference

    public long difference()

#### count

    public long count()

#### mark

    public void mark()